Index: code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11856)
+++ code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11857)
@@ -229,4 +229,7 @@
     
     <!-- distance = how far from the middle point of a check point do i have to fly ? distance variable answers this question   -->
+   
+
+      
 
 
@@ -491,5 +494,38 @@
 </checkpoints>
 </SpaceRaceManager>
-
+   <Arrow>
+      <attached>
+       <Model scale="5" mesh="tutorialpointer3.mesh"/>
+      </attached>
+      <controller>
+        <ArrowController accuracy = 2000>
+          <gpspoints>
+            <Model mesh="cube.mesh" scale=1.5 position="1000,30,0"/>
+            <Model mesh="cube.mesh" scale=1.5 position="3000,200,100"/>
+            <Model mesh="cube.mesh" scale=1.5 position="5000,100,500"/>
+            <Model mesh="cube.mesh" scale=1.5 position="8000,-150,150"/>
+            <Model mesh="cube.mesh" scale=1.5 position="10000,-200,200"/>
+            <Model mesh="cube.mesh" scale=1.5 position="13000,200,400"/>
+            <Model mesh="cube.mesh" scale=1.5 position="15000,0,0"/>
+            <Model mesh="cube.mesh" scale=1.5 position="18000,150,-150"/>
+            <Model mesh="cube.mesh" scale=1.5 position="21000,200,-120"/>
+            <Model mesh="cube.mesh" scale=1.5 position="24000,-150,-80"/>
+            <Model mesh="cube.mesh" scale=1.5 position="27000,-200,0"/>
+            <Model mesh="cube.mesh" scale=1.5 position="30000,-300,900"/>
+            <Model mesh="cube.mesh" scale=1.5 position="33000,600,60"/>
+            <Model mesh="cube.mesh" scale=1.5 position="35000,120,20"/>
+            <Model mesh="cube.mesh" scale=1.5 position="38000,-200,0"/>
+            <Model mesh="cube.mesh" scale=1.5 position="41000,30,-50"/>
+            <Model mesh="cube.mesh" scale=1.5 position="44000,90,0"/>
+            <Model mesh="cube.mesh" scale=1.5 position="47000,120,30"/>
+            <Model mesh="cube.mesh" scale=1.5 position="50000,0,100"/>
+            <Model mesh="cube.mesh" scale=1.5 position="53000,0,0"/>
+
+            
+
+                </gpspoints>
+        </ArrowController>
+      </controller>
+    </Arrow>
 
 
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11856)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11857)
@@ -119,4 +119,5 @@
 
         this->spawnPlayersIfRequested();
+        this->countdown_mode=true;
         this->cantMove_ = true;
         //players are unable to move while countdown is running
@@ -145,53 +146,24 @@
         ChatManager::message(message);
         
-        
-        /*for(int i=10; i>0;i=i-1){
-            startmessage(i);
-        }*/
-
-
-        //after 11 seconds , countdownFinished function is called to activate bots` engines
-        //Timer* countdownTimer = new Timer();
-        //countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
-
-        /*
-        while(countdownTimer->getRemainingTime()!=0){
-            if(countdownTimer->getRemainingTime()==1){
-                startmessage(1);
-            }
-        }*/
-        
-
-
-
-        
-
-        
-        /*unsigned long long float time_notification=countdownTimer.getRealMicroSeconds();
-        while(this->bTimeIsUp_==false){
-
-        std::ostream stream;
-        stream<<time_notification;
-        std::string chat_notification(stream.str());
-        this->getGametypeInfo()->sendAnnounceMessage(chat_notification);
-        ChatManager::message(chat_notification);
-
-        }*/
-
-        
-    }
-
-    
-
+
+
+        
+    }
+
+    // Counter in the beginning of the game
     void SpaceRace::tick(float dt) {
         SUPER(SpaceRace, tick, dt);
-        this->time_passed -= dt;
-
+        
+        //countdown_mode is set true,when spawnIfRequested is called
         if (countdown_mode) {
+            //10 seconds will be counted
+            this->time_passed -= dt;
 
             //orxout() << "time: " <<(int) time_passed << "s" << endl;
+
             std::string message=std::to_string((int)time_passed);
             this->getGametypeInfo()->sendAnnounceMessage(message);
             if (time_passed <= 1) {
+
                 this->countdownFinished();
                 this->countdown_mode = false;
@@ -210,5 +182,4 @@
 
     }
-
 
     void SpaceRace::end()
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h	(revision 11856)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h	(revision 11857)
@@ -86,6 +86,6 @@
             virtual bool allowPawnDamage(Pawn* victim, Pawn* originator) override;
             virtual bool allowPawnDeath(Pawn* victim, Pawn* originator) override;
-            bool countdown_mode = true;
-            float time_passed = 11.0f;
+            bool countdown_mode = false;
+            float time_passed = 4.0f;
 
         private: