Index: /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw
===================================================================
--- /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11861)
+++ /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11862)
@@ -13,5 +13,5 @@
 
 <?lua
-  include("templates/spaceshipEscort.oxt")
+  include("templates/PacmanGelb.oxt")
 ?>
 
@@ -28,5 +28,5 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="0,10,245" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="0,10,245" lookat="0,0,0" spawnclass=SpaceShip pawndesign=PacmanGelb />
 
 
Index: /code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt
===================================================================
--- /code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt	(revision 11861)
+++ /code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt	(revision 11862)
@@ -1,4 +1,4 @@
 <Template name=PacmanGelb>
-  <SpaceShip
+  <PacmanGelb
    hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshipescortcameras
@@ -63,13 +63,13 @@
   include("../includes/weaponSettingsEscort.oxi")
 ?>
-  </SpaceShip>
+  </PacmanGelb>
 </Template>
 
 <Template name=spaceshipescortcameras defaults=0>
-  <SpaceShip>
+  <PacmanGelb>
     <camerapositions>
       <CameraPosition position="0,0, 60" drag=false mouselook=true />
     </camerapositions>
-  </SpaceShip>
+  </PacmanGelb>
 </Template>
 
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/3DPacman.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/3DPacman.cc	(revision 11861)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/3DPacman.cc	(revision 11862)
@@ -49,4 +49,5 @@
         point = 0:
         level = 1;
+        Vector3 startposplayer = Vector3(0,10,245);
 
     }
@@ -70,10 +71,4 @@
         }
 
-        i = 0:
-        for(PacmanPointSphere* nextsphere : ObjectList<PacmanPointSphere>()){
-            spheres[i] = nextsphere;
-            i++;
-        }
-
         player = this->getPlayer();
         if (player != nullptr)
@@ -90,8 +85,14 @@
         }
 
+        i = 0;
+        for(PacmanPointSphere* nextsphere : ObjectList<PacmanPointSphere>()){
+            if(collis(nextsphere.getPosition(), currentPosition)){
+                takePoint(nextsphere);
+            }
+        }
+
         SUPER(3DPacman, tick, dt);
 
     }
-
 
 
@@ -103,5 +104,5 @@
 
     void 3DPacman::catched(){
-        if(lives) this->end();
+        if(!lives) this->end();
         --lives;
         this->posreset();
@@ -111,8 +112,17 @@
         int i = 0;
         for(PacmanGhost* nextghost : ObjectList<PacmanGhost>()){
-            ghosts[i] = nextghost;
+            nextghost.resetGhost();
             i++;
         }
-        
+        player.setPosition(startposplayer);
+    }
+
+    void 3DPacman::takePoint(PacmanPointSphere* taken){
+        ++point;
+        if(point == totallevelpoint) this->levelUp;
+
+        Vector3 postaken = taken.getPosition();
+        postaken.y = -50;
+        taken.setPosition(postaken);
     }
 
@@ -147,8 +157,4 @@
     void 3DPacman::end()
     {
-        // DON'T CALL THIS!
-        //      Deathmatch::end();
-        // It will misteriously crash the game!
-        // Instead startMainMenu, this won't crash.
         if (Highscore::exists())
         {
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/CMakeLists.txt
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/CMakeLists.txt	(revision 11861)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/CMakeLists.txt	(revision 11862)
@@ -1,4 +1,5 @@
 SET_SOURCE_FILES(PICKUP_SRC_FILES
   PacmanGhost.cc
+  PacmanGelb.cc
 )
 
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h	(revision 11861)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h	(revision 11862)
@@ -36,5 +36,5 @@
 
 
-#include "dodgerace/DodgeRacePrereqs.h"
+#include "Pacman/PacmanPrereqs.h"
 
 #include "core/XMLPort.h"
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    class _PacmanGelbExport PacmanGelb : public SpaceShip
+    class _PacmanExport PacmanGelb : public SpaceShip
     {
         public:
@@ -53,7 +53,7 @@
         private:
             Vector3 actuelposition;
-            btQuaternion actuelorient;
+            Quaternion actuelorient;
        
-    }
+    };
 }
 
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanPrereqs.h
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanPrereqs.h	(revision 11862)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanPrereqs.h	(revision 11862)
@@ -0,0 +1,73 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Florian Zinggeler
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@brief
+    Shared library macros, enums, constants and forward declarations for the DodgeRace module
+*/
+
+#ifndef _PacmanPrereqs_H__
+#define _PacmanPrereqs_H__
+
+#include "OrxonoxConfig.h"
+#include "OrxonoxPrereqs.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(PACMAN_STATIC_BUILD)
+#  ifdef PACMAN_SHARED_BUILD
+#    define _PacmanExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _PacmanExport
+#    else
+#      define _PacmanExport __declspec(dllimport)
+#    endif
+#  endif
+#  define _PacmanPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
+#  define _PacmanExport  __attribute__ ((visibility("default")))
+#  define _PacmanPrivate __attribute__ ((visibility("hidden")))
+#else
+#  define _PacmanExport
+#  define _PacmanPrivate
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+ 
+}
+
+#endif 
Index: /code/branches/3DPacman_FS18/src/modules/dodgerace/DodgeRaceShip.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11861)
+++ /code/branches/3DPacman_FS18/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11862)
@@ -106,5 +106,5 @@
 
         setPosition(pos);
-        setOrientation(Vector3::UNIT_Y, Degree(270));
+        //setOrientation(Vector3::UNIT_Y, Degree(270));
 
         // Level up!