Index: code/branches/Masterserver_FS18/data/levels/testMultiplayerLevelLTS.oxw
===================================================================
--- code/branches/Masterserver_FS18/data/levels/testMultiplayerLevelLTS.oxw	(revision 11880)
+++ code/branches/Masterserver_FS18/data/levels/testMultiplayerLevelLTS.oxw	(revision 11889)
@@ -39,20 +39,5 @@
 
 <!-- ------------ middle asteroid -------------- -->
-    <StaticEntity position="0,20,0" collisionType=static>
-       <attached>
-           <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
-           <!-- ParticleEmitter position="0,0,0" source="Orxonox/Steam" / -->
-       </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="145" />
-      </collisionShapes>
-    </StaticEntity>
 
-    <PickupSpawner pickup=hugeinvisiblepickup position="-160,60,17" triggerDistance="20" respawnTime="5" maxSpawnedItems="10" /><!--EasterEgg-->
-    <StaticEntity position="-160,60,28.4"><!--EasterEgg-Indicator-->
-      <attached>
-        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-      </attached>
-    </StaticEntity>
 
 <!-- ---------------asteroid dome----------------- -->
@@ -68,64 +53,5 @@
     <TeamSpawnPoint team="<?lua print( math.mod(i,4)) ?>" position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="<?lua print(j * 2) ?>,100,<?lua print(j * 2) ?>" position = "0,0,0" />
-      </collisionShapes>
-    </StaticEntity>
 
-    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i+3,6) + 1) ?>.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
-      </collisionShapes>
-    </StaticEntity>
-
-    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*5,6) + 1) ?>.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
-      </collisionShapes>
-    </StaticEntity>
-
-    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*13+1,6) + 1) ?>.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
-      </collisionShapes>
-    </StaticEntity>
-
-    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*17,6) + 1) ?>.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
-      </collisionShapes>
-    </StaticEntity>
-
-<!-- ---------Top Asteroid----------- -->
-    <StaticEntity position="<?lua print(y) ?>,300,<?lua print(z) ?>" scale="<?lua print(j * 2.1) ?>" pitch="90" roll="180" yaw="<?lua print(-90+i*360/max) ?>" collisionType=static >
-      <attached>
-        <Model position="0,0,0" scale=25 mesh="ast6.mesh">
-        </Model>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape    halfExtents="50,140,30" position="0,0,0"/>
-      </collisionShapes>
-    </StaticEntity>
 
 
Index: code/branches/Masterserver_FS18/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/packet/Gamestate.cc	(revision 11880)
+++ code/branches/Masterserver_FS18/src/libraries/network/packet/Gamestate.cc	(revision 11889)
@@ -222,5 +222,5 @@
           orxout(user_error, context::packets) << "Possible reason for this error: Client created a synchronized object without the Server's approval." << endl;
           orxout(user_error, context::packets) << "Objects class: " << synchronisable->getIdentifier()->getName() << endl;
-          assert(false);
+          //assert(false);
         }
       }
Index: code/branches/Masterserver_FS18/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/Masterserver_FS18/src/orxonox/graphics/Model.cc	(revision 11880)
+++ code/branches/Masterserver_FS18/src/orxonox/graphics/Model.cc	(revision 11889)
@@ -104,5 +104,6 @@
         registerVariable(this->meshSrc_,    VariableDirection::ToClient, new NetworkCallback<Model>(this, &Model::changedMesh));
         registerVariable(this->renderQueueGroup_,    VariableDirection::ToClient, new NetworkCallback<Model>(this, &Model::changedRenderQueueGroup));
-        registerVariable(this->materialName_,    VariableDirection::ToClient, new NetworkCallback<Model>(this, &Model::changedMaterial));
+        //Commented out, since this causes texture load failures on client side
+        //registerVariable(this->materialName_,    VariableDirection::ToClient, new NetworkCallback<Model>(this, &Model::changedMaterial));
         registerVariable(this->bCastShadows_, VariableDirection::ToClient, new NetworkCallback<Model>(this, &Model::changedShadows));
     }