Index: code/branches/Hover_FS18/data/levels/Hover.oxw
===================================================================
--- code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11891)
+++ code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11892)
@@ -18,10 +18,10 @@
 ?>
 
-<?lua
+/*<?lua
 MAZE_NUM_CELLS = 10
 MAZE_CELL_SIZE = 100
 MAZE_CELL_HEIGHT = 30
 MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
-?>
+?>*/
 
 <Level
@@ -42,25 +42,104 @@
     <StaticEntity position="0,0,0" collisionType="static">
       <attached>
-        <HoverOrigin
+        /*<HoverOrigin
           numCells="<?lua print(MAZE_NUM_CELLS)?>"
           cellSize="<?lua print(MAZE_CELL_SIZE)?>"
           cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
-        />
-        <Model
-          position="<?lua print(MAZE_SIZE/2)?>,-16,<?lua print(MAZE_SIZE/2)?>"
-          scale3D="<?lua print(MAZE_SIZE/2)?>,16,<?lua print(MAZE_SIZE/2)?>"
-          mesh="CubeGround.mesh"
-        />
+        />*/
+    
       </attached> 
       <collisionShapes>
-        <BoxCollisionShape
-          position="<?lua print(MAZE_SIZE/2)?>,<?lua print(MAZE_CELL_HEIGHT+1)?>,<?lua print(MAZE_SIZE/2)?>"
-          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
-        />
-        <BoxCollisionShape
-          position="<?lua print(MAZE_SIZE/2)?>,-1,<?lua print(MAZE_SIZE/2)?>"
-          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
-        />
-      </collisionShapes>
+        
+      
+<BoxCollisionShape position="-5.10, -5.61264, 12.86143" halfExtents="8, 0.4, 1" />
+<BoxCollisionShape position="2.50, 1.98736, 12.86143" halfExtents="0.4, 8, 1" />
+<BoxCollisionShape position="-12.72, 1.98736, 12.86143" halfExtents="0.38, 8, 1" />
+<BoxCollisionShape position="-5.50, 9.98736, 12.86143" halfExtents="7.6, 0, 1" />
+<BoxCollisionShape position="0.15, 7.22736, 12.86143" halfExtents="0.2166, 2, 1" />
+<BoxCollisionShape position="-2.57, 6.93236, 12.86143" halfExtents="2.5, 0.255, 1" />
+<BoxCollisionShape position="0.65, 5.52736, 12.86143" halfExtents="0.7166, 0.3, 1" />
+<BoxCollisionShape position="-3.77, 3.95236, 12.86143" halfExtents="0.3, 1.275, 1" />
+<BoxCollisionShape position="-7.84, 6.05056, 12.86143" halfExtents="4.5, 0.2888, 1" />
+<BoxCollisionShape position="-5.72, 7.36936, 12.86143" halfExtents="2.375, 1.03, 1" />
+<BoxCollisionShape position="-9.28, 4.27176, 12.86143" halfExtents="0.34, 1.51, 1" />
+<BoxCollisionShape position="-10.20, -3.21264, 12.86143" halfExtents="0.356665, 2, 1" />
+<BoxCollisionShape position="0.10, -2.73979, 12.86143" halfExtents="2, 0.30685, 1" />
+<BoxCollisionShape position="-1.60, -3.23979, 12.86143" halfExtents="0.3, 0.80685, 1" />
+<BoxCollisionShape position="0.99, -0.93294, 12.86143" halfExtents="0.255, 1.5, 1" />
+<BoxCollisionShape position="0.10, 3.13485, 12.86143" halfExtents="2, 0.32066, 1" />
+<BoxCollisionShape position="-0.86, 0.81419, 12.86143" halfExtents="0.24, 2, 1" />
+<BoxCollisionShape position="-3.19, -3.21264, 12.86143" halfExtents="0.23495, 2, 1" />
+<BoxCollisionShape position="-6.24, 0.11736, 12.86143" halfExtents="0.3125, 2.5, 1" />
+<BoxCollisionShape position="-4.87, -0.34754, 12.86143" halfExtents="3.559405, 2.6651, 1" />
+<BoxCollisionShape position="-8.10, -0.69764, 12.86143" halfExtents="0.328125, 2.315, 1" />
+<BoxCollisionShape position="-9.60, 1.31736, 12.86143" halfExtents="1.828125, 0.3, 1" />
+<BoxCollisionShape position="11.55, 4.36787, 6.92041" halfExtents="0.532, 11.2, 1" />
+<BoxCollisionShape position="0.88, 15.00787, 6.92041" halfExtents="11.199995, 0.56, 1" />
+<BoxCollisionShape position="-9.76, 4.36787, 6.92041" halfExtents="0.5600005, 11.2, 1" />
+<BoxCollisionShape position="0.88, -6.30013, 6.92041" halfExtents="11.1999955, 0.532, 1" />
+<BoxCollisionShape position="4.17, 2.37345, 6.92041" halfExtents="4.45, 0.75, 1" />
+<BoxCollisionShape position="8.17, 0.62345, 6.92041" halfExtents="0.450005, 2.5, 1" />
+<BoxCollisionShape position="8.02, -2.30614, 6.92041" halfExtents="2.999995, 0.42959, 1" />
+<BoxCollisionShape position="2.32, -4.77813, 6.92041" halfExtents="0.606475, 0.99, 1" />
+<BoxCollisionShape position="7.52, 5.918365, 6.92041" halfExtents="3.499995, 0.448925, 1" />
+<BoxCollisionShape position="4.41, 7.918365, 6.92041" halfExtents="0.39375, 2.448925, 1" />
+<BoxCollisionShape position="7.69, 9.36729, 6.92041" halfExtents="0.525005, 3, 1" />
+<BoxCollisionShape position="8.96, 10.49214, 6.92041" halfExtents="0.73963, 0.33091, 1" />
+<BoxCollisionShape position="2.35, 11.94787, 6.92041" halfExtents="0.296195, 2.5, 1" />
+<BoxCollisionShape position="-0.44, 12.47837, 6.92041" halfExtents="2.5, 0.33672, 1" />
+<BoxCollisionShape position="-5.15, 12.44787, 6.92041" halfExtents="0.450215, 2, 1" />
+<BoxCollisionShape position="-5.20, 5.80553, 6.92041" halfExtents="4, 0.45486, 1" />
+<BoxCollisionShape position="-1.60, 7.805535, 6.92041" halfExtents="0.4, 2.454865, 1" />
+<BoxCollisionShape position="-5.73, 3.85067, 6.92041" halfExtents="0.495, 1.5, 1" />
+<BoxCollisionShape position="-6.41, -2.74313, 6.92041" halfExtents="0.49125, 3.025, 1" />
+<BoxCollisionShape position="-2.92, -1.83063, 6.92041" halfExtents="3, 0.5625, 1" />
+<BoxCollisionShape position="0.00, 13.998825, 1" halfExtents="14.5, 0.501175, 1" />
+<BoxCollisionShape position="-14.07, 0, 1" halfExtents="0.42622, 14.5, 1" />
+<BoxCollisionShape position="0.00, -14.01435, 1" halfExtents="14.5, 0.48565, 1" />
+<BoxCollisionShape position="14.00, 0, 1" halfExtents="0.497965, 14.5, 1" />
+<BoxCollisionShape position="10.74, 10.49765, 1" halfExtents="0.37487, 3, 1" />
+<BoxCollisionShape position="8.18, 9.59765, 1" halfExtents="2.18399, 0, 1" />
+<BoxCollisionShape position="1.67, 11.47789, 1" halfExtents="0.392845, 2.01976, 1" />
+<BoxCollisionShape position="-7.15, 9.70307, 1" halfExtents="6.5, 0.45207, 1" />
+<BoxCollisionShape position="-5.54, 5.751, 1" halfExtents="0.731825, 3.5, 1" />
+<BoxCollisionShape position="-10.15, 3.471825, 1" halfExtents="3.5, 0.418405, 1" />
+<BoxCollisionShape position="-8.71, 4.72713, 1" halfExtents="2.059455, 1.67371, 1" />
+<BoxCollisionShape position="-10.52, -7.5287, 1" halfExtents="0.4158, 6, 1" />
+<BoxCollisionShape position="10.50, -1.41018, 1" halfExtents="3, 0.41642, 1" />
+<BoxCollisionShape position="7.91, 1.8694, 1" halfExtents="0.409645, 2.86316, 1" />
+<BoxCollisionShape position="9.76, 4.31938, 1" halfExtents="1.44061, 0.41318, 1" />
+<BoxCollisionShape position="7.50, -8.712205, 1" halfExtents="6, 0.310035, 1" />
+<BoxCollisionShape position="9.00, -10.157485, 1" halfExtents="0.36514, 1.135245, 1" />
+<BoxCollisionShape position="4.56, -0.902175, 1" halfExtents="0.35412, 7.499995, 1" />
+<BoxCollisionShape position="1.98, 4.01242, 1" halfExtents="2.22454, 0.45625, 1" />
+<BoxCollisionShape position="-1.60, -3.82935, 1" halfExtents="5.802365, 0.28834, 1" />
+<BoxCollisionShape position="-3.93, -7.11769, 1" halfExtents="0.51491, 3, 1" />
+<BoxCollisionShape position="1.47, -1.480135, 1" halfExtents="0.39372, 2.060875, 1" />
+<BoxCollisionShape position="-4.11, 0.40075, 9.2805" halfExtents="0.6, 0.05, 2.58093" />
+<BoxCollisionShape position="-3.56, 0.95075, 9.2805" halfExtents="0.05, 0.6, 2.58093" />
+<BoxCollisionShape position="-4.11, 1.50075, 9.2805" halfExtents="0.6, 0.05, 2.58093" />
+<BoxCollisionShape position="-4.66, 0.95075, 9.2805" halfExtents="0.05, 0.6, 2.58093" />
+<BoxCollisionShape position="-7.36, 11.50414, 3.764645" halfExtents="0.8, 0.05, 2.186375" />
+<BoxCollisionShape position="-8.11, 12.25414, 3.764645" halfExtents="0.050005, 0.8, 2.186375" />
+<BoxCollisionShape position="-7.36, 13.00414, 3.764645" halfExtents="0.8, 0.05, 2.186375" />
+<BoxCollisionShape position="-6.61, 12.25414, 3.764645" halfExtents="0.05, 0.8, 2.186375" />
+<BoxCollisionShape position="-2.01, 3.01756, 6.10299" halfExtents="0.7, 0.7, 0.1" />
+<BoxCollisionShape position="-2.01, -4.18244, 2.820665" halfExtents="0.7, 6.5, 3.382325" />
+<BoxCollisionShape position="5.40, -4.01264, 8.96143" halfExtents="3.999995, 0.5, 3.1" />
+<BoxCollisionShape position="0.90, -4.01264, 11.96143" halfExtents="0.5, 0.5, 0.1" />
+<BoxCollisionShape position="0.88, 4.36787, 5.87041" halfExtents="11.199995, 11.2, 0.05" />
+<BoxCollisionShape position="-5.10, 1.98736, 11.81143" halfExtents="8, 8, 0.05" />
+<BoxCollisionShape position="0.00, 0, -0.05" halfExtents="14.5, 14.5, 0.05" />
+</collisionShapes>
+
+<StaticEntity position="0, 0, 0" collisionType = "none">
+<attached>
+<Model mesh =hover.mesh />
+</attached>
+<collisionShapes>
+<BoxCollisionShape position="-4.11, 0.95075, 11.86143" halfExtents="0.5, 0.5, 0" />
+<BoxCollisionShape position="-7.36, 12.25414, 5.95102" halfExtents="0.699995, 0.7, 0" />
+</collisionShapes>
+
     </StaticEntity>
 
@@ -75,5 +154,5 @@
     <SpawnPoint
       team=0
-      position="50,20,50"
+      position="4,10.1,0"
       lookat="100,20,100"
       spawnclass=HoverShip