Index: /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw
===================================================================
--- /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11893)
+++ /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11894)
@@ -31,5 +31,5 @@
 
 
-<PacmanGhost position="0,20,245">
+<PacmanGhost position="215,10,220" resetposition="215,10,220">
     <attached>
         <Model position="0,0,0" mesh="PacmanGhostRed.mesh" scale="5" />
@@ -37,4 +37,27 @@
 </PacmanGhost>
 
+<PacmanGhost position="215,10,220" resetposition="215,10,220">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostBlue.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="215,10,220" resetposition="215,10,220">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostOrange.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="215,10,220" resetposition="215,10,220">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostPink.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanPointSphere position="0,10,0" resetposition="0,10,0">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostRed.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
 
 <StaticEntity position="0,0,25" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
@@ -43,6 +66,4 @@
     </attached> 
     <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="250,1,250" />
-        <BoxCollisionShape position="0,200000,0" halfExtents="250,1,250" />
 
 	<BoxCollisionShape position="250,10,0" halfExtents="1,15,250" />
@@ -63,32 +84,4 @@
 </StaticEntity>
 
-
-<StaticEntity position="-10,10,-10" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
-    <attached> 
-        <Model position="0,0,0" mesh="PacmanGhostBlue.mesh" scale="5" /> 
-    </attached> 
-    <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="0.5,0.5,0.5" /> 
-    </collisionShapes> 
-</StaticEntity>
-
-<StaticEntity position="10,10,-10" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
-    <attached> 
-        <Model position="0,0,0" mesh="PacmanGhostOrange.mesh" scale="5" /> 
-    </attached> 
-    <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="0.5,0.5,0.5" /> 
-    </collisionShapes> 
-</StaticEntity>
-
-<StaticEntity position="-10,10,10" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
-    <attached> 
-        <Model position="0,0,0" mesh="PacmanGhostPink.mesh" scale="5" /> 
-    </attached> 
-    <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="0.5,0.5,0.5" /> 
-    </collisionShapes> 
-</StaticEntity>
-
 <PortalEndPoint position="-240,10,0" id="1" distance="40" target="Pawn"/>
 <PortalEndPoint position="240,10,0" id="2" distance="40" target="Pawn"/>
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.cc	(revision 11893)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.cc	(revision 11894)
@@ -46,19 +46,9 @@
     void PacmanGelb::tick(float dt)
     {
+    	SUPER(PacmanGelb, tick, dt);
         //bring player back to ground
         actuelposition = this->getPosition();
-        actuelposition.y = 0;
+        actuelposition.y = 10;
         this->setPosition(actuelposition);
-
-        // Camera
-        Camera* camera = this->getCamera();
-        if (camera != nullptr)
-        {
-            actuelorient = camera->getOrientation();
-            actuelorient.y = 0;
-            camera->setOrientation(actuelorient);
-        }
-
-        SUPER(PacmanGelb, tick, dt);
     }
 }
Index: /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h	(revision 11893)
+++ /code/branches/3DPacman_FS18/src/modules/Pacman/PacmanGelb.h	(revision 11894)
@@ -51,4 +51,8 @@
             virtual void tick(float dt);
 
+            //no rotation
+            virtual void rotateYaw(const Vector2& value) override{};
+            virtual void rotateYaw(const Vector2& value) override{};
+
         private:
             Vector3 actuelposition;