Index: code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt
===================================================================
--- code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt	(revision 11862)
+++ code/branches/3DPacman_FS18/data/levels/templates/PacmanGelb.oxt	(revision 11897)
@@ -30,6 +30,6 @@
    boostCooldownDuration = 10
 
-   shakeFrequency = 15
-   shakeAmplitude = 6
+   shakeFrequency = 0
+   shakeAmplitude = 0
 
    collisionType     = "dynamic"
@@ -43,8 +43,15 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=7 mesh="PacmanGelb.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=5 mesh="PacmanGelb.mesh" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
     </attached>
     <collisionShapes>
-      <BoxCollisionShape position="0,0,0" halfExtents="1,1,1" />
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
     </collisionShapes>
     <explosion>
@@ -69,5 +76,5 @@
   <PacmanGelb>
     <camerapositions>
-      <CameraPosition position="0,0, 60" drag=false mouselook=true />
+      <CameraPosition position="0,7, 5" drag=true mouselook=true />
     </camerapositions>
   </PacmanGelb>
@@ -76,20 +83,37 @@
 <Template name=spaceshipescortengine baseclass=MultiStateEngine>
   <MultiStateEngine
-   boostfactor    = 2.2
+   boostfactor    = 1.0
 
-   speedfront     = 200
+   speedfront     = 100
    speedback      =  70
-   speedleftright =  70
-   speedupdown    =  0
+   speedleftright =  5
+   speedupdown    =  70
 
    defEngineSndNormal = "sounds/Engine_low.ogg"
    defEngineSndBoost = "sounds/Engine_high.ogg"
 
-   accelerationfront     = 700
-   accelerationbrake     = 700
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  0
+   accelerationfront     = 50
+   accelerationbrake     = 50
+   accelerationback      =  50
+   accelerationleftright =  5
+   accelerationupdown    =  50
   >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+       />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=15 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=5 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
 
   </MultiStateEngine>